## sonata 1.6.2.1

=== mmkeys/Makefile ===
# Copyright 2004 Joe Wreschnig. Released under the terms of the GNU GPL.

PYTHON_DIR = /usr/include/python2.4/

CFLAGS += -fPIC -O2 `pkg-config --cflags gtk+-2.0 pygtk-2.0` -I$(PYTHON_DIR)
LDFLAGS += `pkg-config --libs gtk+-2.0 pygtk-2.0`

mmkeys.so: mmkeyspy.o mmkeys.o mmkeysmodule.o
	$(CC) $(LDFLAGS) -shared $^ -o $@
	strip mmkeys.so

DEFS=`pkg-config --variable=defsdir pygtk-2.0`

mmkeyspy.c: mmkeys.defs mmkeys.override
	pygtk-codegen-2.0 --prefix mmkeys \
	--register $(DEFS)/gdk-types.defs \
	--register $(DEFS)/gtk-types.defs \
	--override mmkeys.override \
	mmkeys.defs > gen-tmp
	mv gen-tmp $@

clean:
	rm -f mmkeys.so *.o mmkeyspy.c

distclean: clean
	rm -f *~ gen-tmp

## sonata 1.5.2-1

=== debian/changelog ===
sonata (1.5.2-1) stable; urgency=low

  v1.6-maemo (Owen Williams)
  	+ reworked UI for tablet (not right-click friendly)
  	+ launch scripts / dbus service file
  	+ .desktop file for hildon
  
  v1.6
  	+ Bug: Fix non-ascii characters when scrobbling with non-utf8 locale
  
  v1.5.2 - June 5, 2008
  	+ Improved artwork/lyrics caching through case-insenstive searching
  	+ Add Turkish translation (Gökmen)
  	+ Bug: Fix artwork for files with unicode characters
  	+ Bug: Fix crash if mpd library is empty
  	+ Bug: Fix regression where dbus-python became required
  	+ Bug: Bold titles lose sync if song changes with visible filterbar
  	+ Bug: Doesn't scrobble when same song is repeated
  	+ Bug: Python conflict when installed with sugar (OLPC)
  	+ Bug: Fix artwork display in song notification window for RTL languages
  	+ Bug: Fix progressbar seeking for RTL languages
  	+ Bug: No play/pause indicator in egg tray icon if started while mpd is active
  
  v1.5.1 - May 3, 2008
  	+ Swap 'shuffle' and 'random' to be consistent with MPD
  	+ "Save list to">"foo" can now either replace playlist or append songs
  	+ Add Catalan translation (Franc)
  	+ Add Arabic translation (Ahmad)
  	+ Bug: Fix play/pause with multimedia keys (Vinay)
  	+ Bug: Prevent possible traceback from gobject.filename_from_utf8
  	+ Bug: 'play after replace' when in shuffle mode plays 1st song, not random
  	+ Bug: Fix random, repeat, and toggle commands from console
  	+ Bug: Songs not tagged with the album name don't show up
  	+ Bug: Cannot disconnect when MPD_HOST and MPD_PORT are set
  	+ Bug: Fix %D and %N formats within brackets
  
  v1.5 - April 3, 2008
  	+ Replace album view with genre view for library
  	+ Display covers for albums in artist/genre views
  	+ Add menu items and shortcuts for playing library items after add/replace
  	+ Allow setting artwork for streams
  	+ Optional stylized album art with cases (Aidan)
  	+ New, faster python mpd interface (jat)
  	+ --popup argument to popup song notification (requires D-Bus) (Oleg)
  	+ Show 'Untagged' artists/genres in their respective library views
  	+ Allow DND of cover art from a web browser (Артем)
  	+ Allow DND of music from a file manager into playlist (requires mpd 0.14)
  	+ Preserve column percentages for current tab across window resizing
  	+ Speed up mpd-related commandline arguments
  	+ Switch back to last tab on second cover art click
  	+ Retain selection in lists after removing items
  	+ Hidden config option to expand notebook tabs (tabs_expanded)
  	+ Set ServiceProxy cachedir for lyrics to work around ZSI bug
  	+ Add Estonian translation (Mihkel)
  	+ Bug: Fix multimedia keys for gnome 2.22
  	+ Bug: Fix artwork for artists/albums with "/" in them (e.g. AC/DC)
  	+ Bug: Fix egg trayicon with vertical system tray
  	+ Bug: Weird bug in library-view
  	+ Bug: Prevent failure to load if tab positions are saved as None
  	+ Bug: Fix non-ascii characters in files for non-utf8 filesystems (zap)
  	+ Bug: Prevent crash with certain locales like turkish (jat)
  	+ Bug: Using filter causes playlist to jump to the top
  	+ Bug: Fix AudioScrobblerQuery (kigurai)
  
  v1.4.2 - February 9, 2008
  	+ Add %D for disc tag in display formatting options
  	+ Better handling if no read permission (e.g. no/bad mpd password supplied)
  	+ Bug: Fix seeking in progress bar
  	+ Bug: Fix blank album info when there is an ampersand
  	+ Bug: Missing color in notification window
  	+ Bug: Notebook arrow clicks are ignored due to gtk bug
  	+ Bug: Potential ordering bug when sorting via column heading click
  	+ Bug: Make desktop file compliant
  	+ Bug: Column widths can collapse when exiting while minimized to the tray
  
  v1.4.1 - February 2, 2008
  	+ Remove queue support (it was removed from mpd-svn, complain to them)
  	+ Improved re-ordering of playlist songs (including multiple selected songs)
  	+ Add album info into info tab
  	+ Use hand2 instead of hand1 for song info links
  	+ Bug: Traceback can occur after enabling audioscrobbler
  	+ Bug: Text background color on tabs (ecik)
  	+ Bug: Visible background of eventboxes for info tab links, etc.
  	+ Bug: Can't click (more) link in non-English locales
  	+ Bug: Crash when using libegg with system tray icon disabled
  	+ Bug: Disable tag editing link in info tab for streams/remote files
  	+ Bug: Unescape common html codes from lyrics fetching, enable formatting
  	+ Bug: The main notebook should be scrollable
  
  v1.4 - January 15, 2008
  	+ Integrate info window into main player
  	+ Update to audioscrobbler protocol 1.2 and scrobbling bug fixes (mveers)
  	+ Implemented caching of scrobbles across client restarts
  	+ Vertically center currently playing song
  	+ Updated artwork (Adrian Chromenko)
  	+ IPv6 support for the mpd connection (Shane Kerr)
  	+ Allow screen center for notification popup
  	+ Preference for saving lyrics to music file's directory (like artwork)
  	+ Allow hiding and reordering notebook tabs (e.g. playlists, streams, info)
  	+ Retain library path when re-opening Sonata
  	+ Remove confusing 'remote only' and 'remote, then local' artwork options
  	+ Ability to hide progress bar (can create very minimal player)
  	+ Skip fallback artwork search of just album name if primary searches fail
  	+ Make system tray icon scalable
  	+ Shortcuts to search library (ctrl-h), randomize current playlist (alt-r)
  	+ Use gtk theme's link-color if available (only for gtk 2.12 and above)
  	+ Bug: Right-click menu can cause accidental actions with some gtk themes
  	+ Bug: Prevent crash on negative disc/track numbers
  	+ Bug: Filter + Edit Tags edits a different song than selected
  	+ Bug: Prevent possible exception regarding cover art on first load
  	+ Bug: Fix retrieving some non-English lyrics (ecik)
  	+ Bug: Allow MPD_HOST to override GUI
  	+ Bug: {} displays in the Current column title
  	+ Bug: Fix manpage path to be FHS compliant


=== debian/control ===
Source: sonata
Section: user/multimedia
Priority: extra
Maintainer: Owen Williams <owen-maemo@ywwg.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: sonata
Architecture: any
Depends: python2.5-runtime
Description: An elegant MPD client
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9gIBREQE+aPFdkAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAE00lEQVRIx72WXWwUVRTH/+fOzG7b7dJ2l5aC2GU7oGn8QFo/
 SAOVQHyoGiAYiQ+E6BvBoDHyJAkJqC+aiE9qYkIg8kDSaGJCYqzWGEnEANKa
 soiVbdrSlpZCC5tlv2buOT7MdNtuF4EHvcm87Nyd3zn//zn3XOB/WlT6g23b
 FAqFggcPHmyKxWIRpRTdz4dc1+XLly9fP3z48BiAQjKZLL/Rtm10dnYGBwcH
 92az2QFmduUBFzM76XT6QiKReNW2bbNsRlu3bq04evToF9FodPfg9Vv5b/rH
 skO3MqIFRCL+LikJT0AiIAEsg+SR+mp65alVofolIWNsbOyDTZs2vZ9MJnUR
 ZNs29fT0vBWLxY6cPH8l9Wb3kMobgRCBiCAECJSUQERAEEB4NloRZqlFPnVi
 5zqzfc1Dlf39/dt37NhxKplMQgFALBarbGxsfGdgYjq3t3vIKJgVYQIpD4JF
 EBEBCcMA+zABRIiI1G0Eal/vuuDczuQ4Ho+/C8AE4IEOHDiwJhAINJ3su5or
 GMHQbLQEgRJenIkwSDRaai2QWwCEvcz87G5qa8kPl0YyVVVVz3V0dISLoGg0
 uoyIaHAmIwQQ+V5QqVxFXxjEGrvWrkCdTgOu4+/19xOpwZksK6UCmzdvjhRB
 RKQAwOU5yKJMAD8T/2EXTzaG8cYzzaBCxs9qrmYc7VlnmqYqguZK0IvqbhD4
 cpIImsJBdJ39C689uwaxkAK06xFYQLy4QFWJKouraz5E2Dee0R6L4Ozfo9jf
 9SsOvfw0VP4OwAJwuWOgFIR/g4j3mhnEjPVNEQzPpHF6NIUzwzewsakOcBzv
 G2WCVf96Ps2H+BUHFpBoNEeqkMk7gBXEsd9H0fZwBHCyc/KVBG2WR8xm4Mkk
 8LIh1iDRsGuDyOfzEDKgYMIRwlTWhTgFqKCUVca8G0SEvaIQAVh7/cMaJIwN
 qxpxZXIGMAMQIkSrLPQO3wApC1QWUwKi2d4RhmIG2PWqSbsg1r7+jA3xKH77
 cwhQAYAImQIjkdWgilDR6VKbzEXF4PcJ2EUlXLy9MY7tj6/E8tpqTKcz+C5x
 FRvsZTjx03nAMAEBsq6AzABA8GTme2VU9EUA7eLItiewszVefB+uqMGe52sA
 AFcmpkFGnScpeXJI2ZNkXtWJiAYAS5EUy5MZ61ZGyv4pk3cwejsHkFFsmfkQ
 giDgN6TjOLoImpqamhARXh0NEUQYApAifPj9H7iTdxZAHM049PVpaCiQMnw/
 pEQV1quXhhQz57q7u6eL86i9vb2yp6fn4rVUdkX756edggqEwRpwclhu5PGC
 XY/l0RrcnL6FHxPDSN68A6OuERQMwdNtofwNljtzZn9nGG7h59bW1s5kMuma
 ADA5OZkbHx//uLm5+bMvtz1W2PPtxVSGrGqyKmjcMXAsMQ1xJgBmKLMaxtIo
 yLQgnvv+GeiNvqWWm/pq1/pAuDIovb2XPgLgLhjlHR0dga6urk8bGhr2XJtJ
 FU71j2SHZjKiXa9hRYQI/iScdX9eW1iGwqP11fTS2nioJlRBIyMj723ZsuWT
 2VG+4HLS1tZmDQwM7E6n073MXOAHW1prnUulUr/09fW9aNu2cc/rFgBr3759
 9S0tLVEiuq/rltaaz507d/348ePTAJy7Xrf+6/UPAiPj7IXpWUsAAAAASUVO
 RK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/sonata" install
	mkdir -p "$(CURDIR)/debian/sonata"

#	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/pt_BR/LC_MESSAGES/"
	cp -a "mo/pt_BR/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/pt_BR/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/uk/LC_MESSAGES/"
	cp -a "mo/uk/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/uk/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/applications/hildon/"
	cp -a "sonata-hildon.desktop" "$(CURDIR)/debian/sonata/usr/share/applications/hildon/sonata-hildon.desktop"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/be@latin/LC_MESSAGES/"
	cp -a "mo/be@latin/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/be@latin/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/es/LC_MESSAGES/"
	cp -a "mo/es/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/es/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/bin/"
	cp -a "sonata.py" "$(CURDIR)/debian/sonata/usr/bin/sonata"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/dbus-1/services/"
	cp -a "sonata.service" "$(CURDIR)/debian/sonata/usr/share/dbus-1/services/sonata.service"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/icons/hicolor/64x64/hildon/"
	cp -a "sonata/pixmaps/64x64/sonata_large.png" "$(CURDIR)/debian/sonata/usr/share/icons/hicolor/64x64/hildon/sonata_large.png"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/it/LC_MESSAGES/"
	cp -a "mo/it/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/it/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/fr/LC_MESSAGES/"
	cp -a "mo/fr/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/fr/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/tr/LC_MESSAGES/"
	cp -a "mo/tr/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/tr/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/zh_CN/LC_MESSAGES/"
	cp -a "mo/zh_CN/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/zh_CN/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/sv/LC_MESSAGES/"
	cp -a "mo/sv/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/sv/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/nl/LC_MESSAGES/"
	cp -a "mo/nl/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/nl/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/fi/LC_MESSAGES/"
	cp -a "mo/fi/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/fi/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/da/LC_MESSAGES/"
	cp -a "mo/da/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/da/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/pl/LC_MESSAGES/"
	cp -a "mo/pl/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/pl/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/de/LC_MESSAGES/"
	cp -a "mo/de/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/de/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/"
	cp -a "sonata/__init__.py" "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/__init__.py"
	mkdir -p "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/"
	cp -a "sonata/audioscrobbler.py" "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/audioscrobbler.py"
	mkdir -p "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/"
	cp -a "sonata/img.py" "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/img.py"
	mkdir -p "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/"
	cp -a "sonata/main.py" "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/main.py"
	mkdir -p "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/"
	cp -a "sonata/misc.py" "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/misc.py"
	mkdir -p "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/"
	cp -a "sonata/mpd.py" "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/mpd.py"
	mkdir -p "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/"
	cp -a "sonata/mpdhelper.py" "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/mpdhelper.py"
	mkdir -p "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/"
	cp -a "sonata/tray.py" "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/tray.py"
	mkdir -p "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/"
	cp -a "sonata/ui.py" "$(CURDIR)/debian/sonata/usr/lib/python2.5/site-packages/sonata/ui.py"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/ru/LC_MESSAGES/"
	cp -a "mo/ru/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/ru/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/ar/LC_MESSAGES/"
	cp -a "mo/ar/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/ar/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/sonata/"
	cp -a "CHANGELOG" "$(CURDIR)/debian/sonata/usr/share/sonata/CHANGELOG"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/sonata/"
	cp -a "README" "$(CURDIR)/debian/sonata/usr/share/sonata/README"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/sonata/"
	cp -a "TODO" "$(CURDIR)/debian/sonata/usr/share/sonata/TODO"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/sonata/"
	cp -a "TRANSLATORS" "$(CURDIR)/debian/sonata/usr/share/sonata/TRANSLATORS"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/man/man1/"
	cp -a "sonata.1" "$(CURDIR)/debian/sonata/usr/share/man/man1/sonata.1"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/locale/ca/LC_MESSAGES/"
	cp -a "mo/ca/sonata.mo" "$(CURDIR)/debian/sonata/usr/share/locale/ca/LC_MESSAGES/sonata.mo"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/icons/hicolor/26x26/hildon/"
	cp -a "sonata/pixmaps/26x26/sonata_large.png" "$(CURDIR)/debian/sonata/usr/share/icons/hicolor/26x26/hildon/sonata_large.png"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/icons/hicolor/40x40/hildon/"
	cp -a "sonata/pixmaps/40x40/sonata_large.png" "$(CURDIR)/debian/sonata/usr/share/icons/hicolor/40x40/hildon/sonata_large.png"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/pixmaps/"
	cp -a "sonata/pixmaps/sonata-album.png" "$(CURDIR)/debian/sonata/usr/share/pixmaps/sonata-album.png"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/pixmaps/"
	cp -a "sonata/pixmaps/sonata-artist.png" "$(CURDIR)/debian/sonata/usr/share/pixmaps/sonata-artist.png"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/pixmaps/"
	cp -a "sonata/pixmaps/sonata-case.png" "$(CURDIR)/debian/sonata/usr/share/pixmaps/sonata-case.png"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/pixmaps/"
	cp -a "sonata/pixmaps/sonata-stock_volume-max.png" "$(CURDIR)/debian/sonata/usr/share/pixmaps/sonata-stock_volume-max.png"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/pixmaps/"
	cp -a "sonata/pixmaps/sonata-stock_volume-med.png" "$(CURDIR)/debian/sonata/usr/share/pixmaps/sonata-stock_volume-med.png"
	mkdir -p "$(CURDIR)/debian/sonata/usr/share/pixmaps/"

## sonata 1.6.2.1

=== debian/changelog ===
sonata (1.6.2.1-6) unstable; urgency=low

  [ Javi Merino ]
  * Add my DD account
  * Bump standards-version to 3.9.5 (no change needed)
  * Acknowledge NMU
  * Add a Keywords entry to the .desktop file

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jackson Doak ]
  * Bump debhelper to 9 (partitally enables hardening)

 -- Javi Merino <vicho@debian.org>  Sun, 23 Feb 2014 19:34:05 +0000

sonata (1.6.2.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "missing crossfade in status breaks sonata (mpd >=0.18)" by
    applying the patch provided by Mattia Dongili. (Closes: #728704.)

 -- Stephen Kitt <skitt@debian.org>  Sat, 25 Jan 2014 15:29:25 +0100

sonata (1.6.2.1-5) unstable; urgency=low

  * Fix "Breaks gnome-settings-daemon media-keys plugin" by applying a
    patch in quodlibet's version of mmkeys (Closes: #644735)

 -- Javi Merino <cibervicho@gmail.com>  Sun, 16 Oct 2011 22:22:04 +0100

sonata (1.6.2.1-4) unstable; urgency=low

  [ Michal Čihař ]
  * Adjust watch file to new upstream location.
  * Convert to dh_python2.

  [ Javi Merino ]
  * New maintainer. (Closes: #612910: RFA: sonata -- GTK+ client for the
    Music Player Daemon (MPD))
  * Fix ""Fetching lyrics failed" even if there's a lyrics online"
    with a patch provided by Stefan Fleischmann <ck850@web.de> (Closes:
    #631375)
  * Bump standards to 3.9.2.
  * Change Conflicts with Breaks for python-mmkeys, as it is just a
    package split, as explained in Section 7.6 of the Debian Policy

 -- Javi Merino <cibervicho@gmail.com>  Thu, 28 Jul 2011 14:55:12 +0200

sonata (1.6.2.1-3) unstable; urgency=low

  * Again recommend eggtrayicon because it provides more features 
    (see: #560979).
  * Fixed crash when it is not possible to get list of albums 
    (Closes: #572262).
  * Bump standards to 3.8.4.

 -- Michal Čihař <nijel@debian.org>  Thu, 03 Jun 2010 10:00:44 +0200

sonata (1.6.2.1-2) unstable; urgency=low

  * Prefer gtk.StatusIcon over eggtrayicon (Closes: #560979).
  * Downgrade mmkeys to suggests as the functionality should be handled by Gtk
    in most cases.
  * Adjust deps to use << instead of <.
  * Convert to 3.0 (quilt) source format.

 -- Michal Čihař <nijel@debian.org>  Sun, 03 Jan 2010 14:48:16 +0100

sonata (1.6.2.1-1) unstable; urgency=low

  * New upstream version.
    - Fixes lyricswiki support (Closes: #542366).
    - No need for ZSI as Sonata now does html scraping.
  * Do not depend unconditionally on elementtree, newer python is enough 
    (LP: #377706).
  * Bump standards to 3.8.3.
  * Simplify debian/rules by using new dh support for distutils.

 -- Michal Čihař <nijel@debian.org>  Fri, 25 Sep 2009 14:00:02 +0200

sonata (1.6.2-1) unstable; urgency=low

  * New upstream version (Closes: #528045).

 -- Michal Čihař <nijel@debian.org>  Mon, 11 May 2009 09:10:00 +0200

sonata (1.6-1) unstable; urgency=low

  * New upstream version.
    - Fixes changing of cover art (Closes: #480758).
    - Fixes handling options without MPD connection (Closes: #503435).
    - Fixes typos in man page (Closes: #517503).
  * Build only for Python 2.5 or newer, upstream dropped support for older.

 -- Michal Čihař <nijel@debian.org>  Mon, 06 Apr 2009 15:21:27 +0200

sonata (1.5.3-3) unstable; urgency=low

  * We don't need python 2.4 (Closes: #520513).

 -- Michal Čihař <nijel@debian.org>  Fri, 20 Mar 2009 15:33:41 +0100

sonata (1.5.3-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Michal Čihař ]
  * Prepare for python2.6 (*-packages in *.install, --install-layout to
    setup.py install).
  * Switch from pycentral to pysupport.
  * Bump standards to 3.8.1 (no changes needed).
  * Update debian/copyright (years, link to GPL-3).
  * Use dh to simplify debian/rules.

 -- Michal Čihař <nijel@debian.org>  Wed, 18 Mar 2009 16:35:16 +0100

sonata (1.5.3-1) unstable; urgency=low

  * New upstream version.
    - Properly handles bad images in cache (Closes: #495475).
    - Includes correct version in main.py (Closes: #491603).
  * Do not make pixmaps executable. 

 -- Michal Čihař <nijel@debian.org>  Wed, 17 Sep 2008 01:00:20 +0200

sonata (1.5.2-2) unstable; urgency=low

  * Recommend python-eggtrayicon instead of full python-gnome2-extras 
    (Closes: #485323).

 -- Michal Čihař <nijel@debian.org>  Mon, 09 Jun 2008 08:45:55 +0200

sonata (1.5.2-1) unstable; urgency=low

  * New upstream version.
    - Fixes crash when MPD database is empty (Closes: #480102).
  * Move packaging to Python Applications Packaging Team:
    - Change Vcs fields in debian/control.
    - Add team to Uploaders.
  * Update to standards 3.8.0.

 -- Michal Čihař <nijel@debian.org>  Sat, 07 Jun 2008 12:11:10 +0200

sonata (1.5.1-1) unstable; urgency=low

  * New upstream version.
  * Drop double dh_pycentral call in debian/rules.

 -- Michal Čihař <nijel@debian.org>  Mon, 05 May 2008 11:59:28 +0200

sonata (1.5-4) unstable; urgency=low

  * Sonata works with python 2.4 and newer, tell it to python-central to
    create proper deps and avoid installation for older python versions
    (Closes: #476458).

 -- Michal Čihař <nijel@debian.org>  Wed, 16 Apr 2008 21:54:30 +0200

sonata (1.5-3) unstable; urgency=low

  * Build for all supported python versions (this makes sense at least for
    python-mmkeys).

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Apr 2008 14:25:50 +0200

sonata (1.5-2) unstable; urgency=low

  * Depend on (not yet in unstable) package python-mpd.

 -- Michal Čihař <nijel@debian.org>  Mon, 07 Apr 2008 11:46:16 +0200

sonata (1.5-1) unstable; urgency=low

  * New upstream version.
    - Sets ZSI cache directory (Closes: #473801).
  * Build conflict with libffi4-dev as python-gobject-dev fails with it.

 -- Michal Čihař <nijel@debian.org>  Mon, 07 Apr 2008 11:31:40 +0200

sonata (1.4.2-2) unstable; urgency=low

  * Drop workaround for bug #452227 (Closes: #472028).

 -- Michal Čihař <nijel@debian.org>  Mon, 24 Mar 2008 21:16:31 +0100



=== debian/control ===
Source: sonata
Section: sound
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Javi Merino <vicho@debian.org>
Build-Depends: debhelper (>= 9),
    python-all-dev (>= 2.6.6-3~),
    pkg-config, 
    python-gtk2-dev
Build-Conflicts: libffi4-dev
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/sonata/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/sonata/trunk/
Homepage: http://sonata.berlios.de/
X-Python-Version: >= 2.5

Package: sonata
Architecture: all
Provides: ${python:Provides}, mpd-client
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.10), python-dbus, python-mpd
Recommends: python-tagpy,
    python (>= 2.5) | python-elementtree, python-eggtrayicon
Suggests: python-mmkeys
Description: GTK+ client for the Music Player Daemon (MPD)
 Sonata is a lightweight GTK+ music client for the Music Player Daemon (MPD).
 It aims to be efficient (no toolbar, main menu, or statusbar),
 user-friendly, and clean.

Package: python-mmkeys
Architecture: any
Section: python
Provides: ${python:Provides}
Breaks: sonata (<< 1.4)
Replaces: sonata (<< 1.4)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2
Description: Multimedia key support as a PyGTK object
 This module lets you access multimedia keys found on most new keyboards
 from Python; most important it grabs all input events so your program
 doesn't need to be in focus when the key is pressed (which is the
 usual behavior of the keys). You still need something like Acme or
 xmodmap to map the keys before using them.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/sonata/usr/share/sonata

%:
	dh $@ --with python2

## sonata 1.7~b1

=== debian/changelog ===
sonata (1.7~b1-3) unstable; urgency=medium

  * d/p/Fix-84-refresh-connections-menu-upon-add-delete.patch,
    d/p/Fix-issue-73-cover-not-updated-on-song-change.patch,
    d/p/Fix-issue-related-to-73-text-update-in-fullscreen-mode.patch,
    d/p/Fix-GTK-startup-CSS-warnings.patch,
    d/p/Make-Gtk-3-version-requirement-explicit.patch:
    Add various bug-fix patches from upstream git
  * d/p/add_keywords_to_desktop_file.patch:
    Convert metadata to gbp-pq format, and add Date from d/changelog
  * d/p/Explicitly-request-the-right-version-of-various-GIRs.patch:
    Make the API versions for GI modules explicit
  * d/p/main-Cope-with-status-not-always-including-volume.patch:
    Don't crash if mpd gives us a status that doesn't mention the volume
  * Use debhelper-compat 12
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.3.0 (no changes required)
  * d/control: Remove X-Python3-Version: 3.2. Python 3 < 3.2 is not
    a supported version in any supported Debian release, so that field
    is unnecessary.

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Jan 2019 11:56:10 +0000

sonata (1.7~b1-2) unstable; urgency=medium

  * Update Vcs-* for migration to salsa.debian.org
  * Standards-Version: 4.1.4 (no changes required)
  * Remove obsolete code to migrate from pycentral, no longer needed
    since at least oldoldstable
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Apr 2018 23:32:22 +0100

sonata (1.7~b1-1) experimental; urgency=medium

  * New maintainer, the mpd packaging team
    - update Vcs-Git, Vcs-Browser metadata
  * New upstream beta version (Closes: #825033)
    - switch from Python 2 to Python 3
    - switch from static GObject bindings (PyGtk) to PyGI
    - requires python3-mpd (see #808824)
    - new upstream website (Closes: #815101)
    - doesn't use deprecated dbus.glib import (Closes: #734492)
    - doesn't use egg.trayicon (Closes: #560979)
    - no longer provides or uses the mmkeys module
    - d/p/fix-cras-on-no-albums.patch: drop, no longer applicable
    - d/p/fix-lyrics-fetching.patch: drop, applied upstream
    - d/p/fix-missing-crossfade.patch: drop, applied upstream
    - d/p/from_upstream__fix-mmkeys.patch: drop, no longer applicable
  * Update debian/copyright
    - Add Apache 2.0 license grant
  * Standards-Version: 4.1.2
    - drop traditional Debian menu entry and its accompanying .xpm file
  * Run dh_install with --fail-missing to avoid failing to install files
  * When removing unwanted documentation from /usr/share/sonata, remove
    the files individually to avoid accidents
  * debian/clean: clean up ./RECORD
  * debian/rules: clean up ./Sonata.egg-info, ./sonata/share/locale
  * Move to debhelper compat level 10
  * Use dh_missing instead of deprecated dh_install --fail-missing
  * debian/gbp.conf: Add

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Dec 2017 10:42:17 +0000

=== debian/control ===
Source: sonata
Section: sound
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 pkg-config,
 python3 (>= 3.2),
 python3-dbus,
 python3-gi,
 python3-mpd (>= 0.5.5),
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/mpd-team/sonata.git
Vcs-Browser: https://salsa.debian.org/mpd-team/sonata
Homepage: http://www.nongnu.org/sonata/

Package: sonata
Architecture: all
Provides:
 mpd-client,
 ${python3:Provides},
Depends:
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 python3-dbus,
 python3-gi,
 python3-mpd (>= 0.5.5),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-tagpy (>= 0.91),
Description: GTK+ client for the Music Player Daemon (MPD)
 Sonata is a lightweight GTK+ music client for the Music Player Daemon (MPD).
 It aims to be efficient (no toolbar, main menu, or statusbar),
 user-friendly, and clean.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -fr Sonata.egg-info
	rm -fr sonata/share/locale

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	rm -f debian/tmp/usr/share/sonata/CHANGELOG
	rm -f debian/tmp/usr/share/sonata/README.rst
	rm -f debian/tmp/usr/share/sonata/TODO
	rm -f debian/tmp/usr/share/sonata/TRANSLATORS
	rmdir debian/tmp/usr/share/sonata

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/, uversionmangle=s/([\d.]+)(a|b)([\d.]+)/$1~$2$3/" \
  https://github.com/multani/sonata/releases .*/v?(\d\S*)\.tar\.gz

## sonata 1.7.0

=== debian/changelog ===
sonata (1.7.0-3) unstable; urgency=medium

  * Remove version constraints unnecessary since Debian 11
  * Standards-Version: 4.7.0 (no changes required)
  * d/patches: Add some bug-fix patches from upstream
    - d/p/Adjust-the-default-version-string.patch:
      Report the version as 1.7.0, not 1.7b1
    - d/p/Remove-the-lyricswiki-plugin-as-the-website-shutdown-last.patch:
      Remove the lyricswiki plugin, which interacts with a website that no
      longer exists
    - d/p/updated-configparser-for-python-3.12-153.patch:
      Avoid using a class that was removed in Python 3.12
  * d/p/setup.py-Reimplement-newer.patch:
    Add proposed patch to avoid use of distutils in setup.py
  * d/control: Replace transitional pkg-config package with pkgconf

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Nov 2024 11:18:14 +0000

sonata (1.7.0-2) unstable; urgency=medium

  * d/watch: Use Github API to download archive
  * Standards-Version: 4.6.1 (no changes required)
  * Set debhelper compat level to 13
    - Drop dh_missing override, no longer needed
  * d/copyright: Add Upstream-Name

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Oct 2022 14:15:06 +0100

sonata (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, all either applied or fixed differently upstream
  * Set packaging branch to debian/latest
  * Update versioned dependencies
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Dec 2020 14:13:17 +0000

sonata (1.7~b1-5) unstable; urgency=medium

  * Add proposed patch to fix compatibility with python-mpd2 2.0.0.
    In Debian I've also patched python-mpd2 to reinstate the old parameter
    and mark it as deprecated, but I don't know whether that will be
    accepted upstream.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 12:46:28 +0000

sonata (1.7~b1-4) unstable; urgency=medium

  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/changelog: Remove trailing whitespace
  * Standards-Version: 4.5.0 (no changes required)
  * d/p/main-Cope-with-status-not-always-including-volume.patch:
    Replace with d/p/mpd-does-not-report-volume-when-state-is-stopped.patch
    which was applied upstream
  * Mark more patches as forwarded
  * d/p/library-Cope-with-additional-arguments-in-newer-PyGObject.patch,
    d/p/library-Try-to-replace-deprecated-popup_for_device-with-p.patch:
    Fix mode selection menu on Library tab
  * d/p/library-Cope-with-MPDClient.list-API-change.patch:
    Fix a crash with python3-mpd >= 1.1.0
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Fix leftover template string in d/watch
  * d/p/Avoid-problematic-uses-of-is.patch:
    Fix warnings during byte-compilation with Python 3.8, and possible
    incorrect runtime behaviour

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Feb 2020 23:05:38 +0000

=== debian/control ===
Source: sonata
Section: sound
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 pkgconf,
 python3,
 python3-dbus,
 python3-gi,
 python3-mpd (>= 2.0),
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/mpd-team/sonata.git
Vcs-Browser: https://salsa.debian.org/mpd-team/sonata
Homepage: https://www.nongnu.org/sonata/

Package: sonata
Architecture: all
Provides:
 mpd-client,
 ${python3:Provides},
Depends:
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 python3-dbus,
 python3-gi,
 python3-mpd (>= 2.0),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-tagpy,
Description: GTK+ client for the Music Player Daemon (MPD)
 Sonata is a lightweight GTK+ music client for the Music Player Daemon (MPD).
 It aims to be efficient (no toolbar, main menu, or statusbar),
 user-friendly, and clean.

=== debian/watch ===
version=4
opts="\
    filenamemangle=s/.+\/v?(\d\S*)$/sonata-$1\.tar\.gz/, \
    searchmode=plain, \
    uversionmangle=s/([\d.]+)(a|b)([\d.]+)/$1~$2$3/" \
https://api.github.com/repos/multani/@PACKAGE@/tags \
https://api.github.com/repos/multani/@PACKAGE@/tarball/refs/tags/v?@ANY_VERSION@

## sonata 1.7.1

=== debian/changelog ===
sonata (1.7.1-2) unstable; urgency=medium

  * d/control: Add missing dependency on pkg_resources (Closes: #1102610)

 -- Simon McVittie <smcv@debian.org>  Wed, 21 May 2025 10:57:06 +0100

sonata (1.7.1-1) unstable; urgency=medium

  * New upstream release
    - Translation updates
    - Integrate changes we previously applied as patches
    - Cosmetic fixes in setup.py
    - Otherwise functionally equivalent to 1.7.0-3
  * d/patches: Drop all patches, applied upstream
  * Standards-Version: 4.7.2 (no changes required)
  * d/copyright: Replace FSF postal address with web address

 -- Simon McVittie <smcv@debian.org>  Fri, 02 May 2025 11:13:27 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-mpd (>= 2.0),
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/mpd-team/sonata.git
 Vcs-Browser: https://salsa.debian.org/mpd-team/sonata
 Homepage: https://www.nongnu.org/sonata/
@@ -36,6 +36,7 @@
  python3-dbus,
  python3-gi,
  python3-mpd (>= 2.0),
+ python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,3 @@
 	rm -f debian/tmp/usr/share/sonata/TODO
 	rm -f debian/tmp/usr/share/sonata/TRANSLATORS
 	rmdir debian/tmp/usr/share/sonata
-
-override_dh_missing:
-	dh_missing --fail-missing

## sonata 1.7.2

=== debian/changelog ===
sonata (1.7.2-1) unstable; urgency=medium

  * New upstream release
  * d/control: Remove dependency on python3-pkg-resources.
    The new version uses importlib instead.
  * d/p/launcher-Assume-the-GDK-lock-is-already-held-in-GtkApplic.patch:
    Fix handling of the GDK lock in conjunction with GtkApplication,
    resolving a deadlock when starting the app

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Dec 2025 12:51:35 +0000

## sonata 1.7.3

=== debian/changelog ===
sonata (1.7.3-1) unstable; urgency=medium

  * New upstream release
    - Functionally equivalent to 1.7.2-1
  * d/p/launcher-Assume-the-GDK-lock-is-already-held-in-GtkApplic.patch:
    Drop patch, applied upstream
  * d/watch: Convert to v5 format

 -- Simon McVittie <smcv@debian.org>  Sat, 13 Dec 2025 14:45:57 +0000

=== debian/watch ===
Version: 5

Template: GitHub
Owner: multani
Project: @PACKAGE@
Searchmode: plain
Uversion-Mangle: s/([\d.]+)(a|b)([\d.]+)/$1~$2$3/
